Bug 1442903 - Thunderbird crashing after upgrade to -52.0
Summary: Thunderbird crashing after upgrade to -52.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jan Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-18 01:02 UTC by João Carlos Mendes Luís
Modified: 2017-05-12 14:11 UTC (History)
5 users (show)

Fixed In Version: thunderbird-52.1.0-1.fc25 thunderbird-52.1.0-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-05 18:59:22 UTC
Type: Bug


Attachments (Terms of Use)

Description João Carlos Mendes Luís 2017-04-18 01:02:18 UTC
Description of problem:

After upgrading to thunderbird-52.0.1, it keeps crashing.  Sorry, could not abrt-dump it, memory footprint too large.



How reproducible:


Steps to Reproduce:
1. Have some Imap/Maildir boxes (I think it is related to this)
2. Open thunderbird
3. Select to compact folders, or download some attachments

Actual results:

SEGV, core dump


Expected results:

No SEGV.   ;-)


Additional info:

Sorry, I could not get much more info about the bug.  I am open to beta test any new release.

The only solution I could get was to download the previous RPM from here: https://koji.fedoraproject.org/koji/buildinfo?buildID=866285

I have also tried the following binary downloads from upstream:

thunderbird-54.0a2
thunderbird-52.0b4

Both from today, with no success

Suggested approach: rollback upgrade (is it possible?), or at least keep previous version available in all repos.

Comment 1 Jan Horak 2017-04-18 07:32:29 UTC
Thanks for the report. Did you send crash report to the mozilla server? If so, please attach links to the report. You can find it in Menu/Help/Troubleshooting Information/section Crash Reports.

Also try to run Thunderbird in safe mode which will temporarily disable any installed addons to sort out the crash is not happening because of some.
thunderbird --safe-mode.

Comment 2 João Carlos Mendes Luís 2017-04-19 19:14:19 UTC
I could not send the crash report because it is not generated at all.  Probably because of memory footprint:

KiB Mem : 16336480 total,   265712 free,  9284452 used,  6786316 buff/cache
KiB Swap:  6291264 total,  6275648 free,    15616 used.  5831124 avail Mem

  PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                                                                                             
 4293 jonny     20   0 2234280 487224  92000 R  22.8  3.0  10:21.86 thunderbird


Also, I kept looking at abrt generating the dump, and the core dump stopped at around 1GB file size.

As I said before, I am now able to run without much problems because I have downgraded the RPM to thunderbird-45.8.0-1.fc25.x86_64

Comment 3 Jan Horak 2017-04-20 06:12:23 UTC
Hm, during the crash don't you get window similar to this http://kb.mozillazine.org/images/MozillaCrashReporter-Fx7.png ?

What about the safe mode, did it help somehow? Are you able to reproduce the crash with fresh profile (thundebird -ProfileManager)?

If you're interested, please try to obtain stack trace by these instructions: 
https://fedoraproject.org/wiki/Debugging_guidelines_for_Mozilla_products#Application_crash

Comment 4 João Carlos Mendes Luís 2017-04-20 15:06:45 UTC
Safe mode did not help.

My personal policy is to always send back the report, and allowing them to contact me.  Here are some of them:

https://crash-stats.mozilla.com/report/index/65346c34-a8be-4c9c-839d-cc59a0170418
https://crash-stats.mozilla.com/report/index/40ba32d4-4f2e-4cec-8384-65a0a0170418
https://crash-stats.mozilla.com/report/index/accb1bc5-7cc6-49fd-8231-aec792170412
https://crash-stats.mozilla.com/report/index/58776046-1c95-48bc-a622-c7e002170412


I did not know the specific instructions for mozilla products!  I loved it!  I may try that again if I find some free time later.  I can advance saying that I did the strace, but as almost always with big projects, it was not very useful for me, alone.

Thanks a lot for your attention!

Comment 5 Jan Horak 2017-04-20 15:16:00 UTC
Thanks, looks like you're not alone, it seems to be dupe of bug 1443646 I've reported upstream today: https://bugzilla.mozilla.org/show_bug.cgi?id=1358140

Comment 6 João Carlos Mendes Luís 2017-04-20 15:32:39 UTC
Interesting: "Maybe just a wild guess, probably message db is damaged"

Look what I found in my "about:memory" (version thunderbird-45.8.0-1.fc25.x86_64).


Main Process

WARNING: the following values are negative or unreasonably large.

    explicit/maildb
    explicit/maildb/database(imap://jonny.br/Junk)
    explicit/maildb/database(imap://jonny.br/INBOX)
    explicit/maildb/database(imap://jonny.com/INBOX)
    explicit/(20 tiny)
    explicit/(20 tiny)/heap-unclassified 

This indicates a defect in one or more memory reporters. The invalid values are highlighted.
Explicit Allocations

302.66 MB (100.0%) -- explicit
├──1,215.47 MB (401.59%) -- maildb [?!]
│  ├────440.15 MB (145.43%) ── database(imap://jonny.br/Junk) [?!]
│  ├────418.06 MB (138.13%) ── database(imap://jonny.br/INBOX) [?!]
│  ├────322.07 MB (106.41%) ── database(imap://jonny.com/INBOX) [?!]
│  ├─────27.65 MB (09.14%) ── database(imap://jonny.com/%5BGmail%5D/Sent%20Mail)
│  ├──────3.97 MB (01.31%) ── database(imap://jonny.br/Sent)
│  └──────3.57 MB (01.18%) ++ (6 tiny)
├───52.51 MB (17.35%) -- window-objects
│   ├──23.08 MB (07.62%) -- top(about:memory, id=654)
│   │  ├──22.67 MB (07.49%) -- active/window(about:memory)
│   │  │  ├──21.57 MB (07.13%) -- dom
│   │  │  │  ├──21.10 MB (06.97%) ── orphan-nodes
│   │  │  │  └───0.46 MB (00.15%) ++ (5 tiny)
│   │  │  └───1.11 MB (00.37%) ++ (4 tiny)
│   │  └───0.40 MB (00.13%) ++ js-zone(0x7f6d7d050000)
│   ├──12.16 MB (04.02%) -- top(chrome://messenger/content/messenger.xul, id=3)
│   │  ├──10.84 MB (03.58%) -- active
│   │  │  ├───9.69 MB (03.20%) -- window(chrome://messenger/content/messenger.xul)
│   │  │  │   ├──4.27 MB (01.41%) ++ js-compartment([System Principal], about:blank)
│   │  │  │   ├──3.23 MB (01.07%) ++ layout
│   │  │  │   └──2.19 MB (00.72%) ++ (3 tiny)
│   │  │  └───1.15 MB (00.38%) ++ (2 tiny)
│   │  └───1.33 MB (00.44%) ++ js-zone(0x7f6d8628d000)
│   ├───8.44 MB (02.79%) -- top(none)/detached
│   │   ├──6.65 MB (02.20%) -- window(chrome://messenger/content/messengercompose/messengercompose.xul)
│   │   │  ├──4.80 MB (01.58%) -- js-compartment([System Principal], about:blank)
│   │   │  │  ├──3.06 MB (01.01%) ++ classes
│   │   │  │  └──1.74 MB (00.57%) ++ (5 tiny)
│   │   │  └──1.86 MB (00.61%) ++ (3 tiny)
│   │   └──1.78 MB (00.59%) ++ (3 tiny)
│   ├───4.50 MB (01.49%) -- top(chrome://messenger/content/messengercompose/messengercompose.xul, id=498)
│   │   ├──3.89 MB (01.29%) -- active
│   │   │  ├──3.70 MB (01.22%) ++ window(chrome://messenger/content/messengercompose/messengercompose.xul)
│   │   │  └──0.19 MB (00.06%) ++ window(about:blank)
│   │   └──0.61 MB (00.20%) ++ js-zone(0x7f6d62020000)
│   └───4.34 MB (01.43%) ++ (7 tiny)
├───50.82 MB (16.79%) -- js-non-window
│   ├──36.34 MB (12.01%) -- zones
│   │  ├──29.73 MB (09.82%) ++ zone(0x7f6d8e8f0000)
│   │  └───6.61 MB (02.18%) ++ (8 tiny)
│   ├──12.27 MB (04.05%) -- runtime
│   │  ├───6.20 MB (02.05%) ── script-data
│   │  └───6.07 MB (02.01%) ++ (12 tiny)
│   └───2.22 MB (00.73%) ++ gc-heap
├───25.71 MB (08.49%) -- heap-overhead
│   ├──18.54 MB (06.12%) ── bin-unused
│   ├───4.26 MB (01.41%) ── bookkeeping
│   └───2.91 MB (00.96%) ++ (2 tiny)
├───12.63 MB (04.17%) -- storage/sqlite
│   ├───9.10 MB (03.01%) ── other
│   └───3.53 MB (01.17%) ++ (7 tiny)
├────3.97 MB (01.31%) -- images
│    ├──3.58 MB (01.18%) -- chrome
│    │  ├──3.38 MB (01.12%) ++ vector/used
│    │  └──0.20 MB (00.07%) ++ raster/used
│    └──0.39 MB (00.13%) ++ (2 tiny)
├────3.96 MB (01.31%) ++ workers/workers(chrome)
└──-1,062.41 MB (-351.02%) -- (20 tiny) [?!]
   ├───────2.48 MB (00.82%) ++ xpconnect
   ├───────2.39 MB (00.79%) ++ atom-tables
   ├───────1.99 MB (00.66%) ++ startup-cache
   ├───────1.74 MB (00.57%) ++ add-ons
   ├───────1.55 MB (00.51%) ++ layout
   ├───────1.44 MB (00.48%) ── xpti-working-set
   ├───────0.65 MB (00.21%) ++ gfx
   ├───────0.59 MB (00.19%) ── preferences
   ├───────0.52 MB (00.17%) ++ xpcom
   ├───────0.44 MB (00.15%) ── icu
   ├───────0.39 MB (00.13%) ++ dom
   ├───────0.24 MB (00.08%) ── telemetry
   ├───────0.19 MB (00.06%) ++ cycle-collector
   ├───────0.13 MB (00.04%) ── script-namespace-manager
   ├───────0.09 MB (00.03%) ── cookie-service
   ├───────0.07 MB (00.02%) ++ network
   ├───────0.01 MB (00.00%) ── history-links-hashtable
   ├───────0.00 MB (00.00%) ++ media
   ├───────0.00 MB (00.00%) ── spell-check
   └──-1,077.31 MB (-355.94%) ── heap-unclassified [?!]

Other Measurements

52.62 MB (100.0%) -- decommitted
├──51.81 MB (98.46%) -- js-non-window
│  ├──37.81 MB (71.85%) ── gc-heap/decommitted-arenas
│  └──14.00 MB (26.61%) ── runtime/gc/nursery-decommitted
└───0.81 MB (01.54%) -- workers/workers(chrome)
    ├──0.72 MB (01.37%) -- worker(resource:///modules/attachmentChecker.js, 0x7f6d4a70b000)
    │  ├──0.72 MB (01.37%) ── gc-heap/decommitted-arenas
    │  └──0.00 MB (00.00%) ── runtime/gc/nursery-decommitted
    └──0.09 MB (00.18%) ++ worker(resource://gre/modules/osfile/osfile_async_worker.js, 0x7f6d80d30800)

5,239 (100.0%) -- event-counts
└──5,239 (100.0%) -- window-objects
   ├──2,181 (41.63%) -- top(chrome://messenger/content/messenger.xul, id=3)/active
   │  ├──2,121 (40.48%) -- window(chrome://messenger/content/messenger.xul)/dom
   │  │  ├──2,060 (39.32%) ── event-listeners
   │  │  └─────61 (01.16%) ── event-targets
   │  └─────60 (01.15%) ++ (2 tiny)
   ├──1,948 (37.18%) -- top(none)/detached
   │  ├──1,796 (34.28%) ── window(chrome://messenger/content/messengercompose/messengercompose.xul)/dom/event-listeners [3]
   │  └────152 (02.90%) ── window(chrome://messenger/content/SearchDialog.xul)/dom/event-listeners
   ├──1,054 (20.12%) -- top(chrome://messenger/content/messengercompose/messengercompose.xul, id=498)/active
   │  ├──1,052 (20.08%) -- window(chrome://messenger/content/messengercompose/messengercompose.xul)/dom
   │  │  ├──1,033 (19.72%) ── event-listeners
   │  │  └─────19 (00.36%) ── event-targets
   │  └──────2 (00.04%) ── window(about:blank)/dom/event-targets [2]
   └─────56 (01.07%) ++ (8 tiny)

3.97 MB (100.0%) -- images
├──3.58 MB (90.17%) -- chrome
│  ├──3.38 MB (85.05%) -- vector/used
│  │  ├──3.38 MB (85.02%) ── source
│  │  └──0.00 MB (00.04%) ── decoded-heap
│  └──0.20 MB (05.11%) -- raster/used
│     ├──0.18 MB (04.51%) ── source
│     └──0.02 MB (00.61%) ── decoded-heap
├──0.27 MB (06.77%) -- uncached
│  ├──0.22 MB (05.57%) -- vector/used
│  │  ├──0.22 MB (05.57%) ── source
│  │  └──0.00 MB (00.01%) ── decoded-heap
│  └──0.05 MB (01.20%) -- raster/used
│     ├──0.05 MB (01.18%) ── source
│     └──0.00 MB (00.02%) ── decoded-heap
└──0.12 MB (03.06%) -- content/raster/used
   ├──0.12 MB (02.99%) ── source
   └──0.00 MB (00.07%) ── decoded-heap

70.48 MB (100.0%) -- js-main-runtime
├──42.68 MB (60.57%) -- compartments
│  ├──29.80 MB (42.28%) -- classes
│  │  ├──18.00 MB (25.54%) -- objects
│  │  │  ├──14.59 MB (20.71%) ── gc-heap
│  │  │  └───3.40 MB (04.83%) -- malloc-heap
│  │  │      ├──3.18 MB (04.51%) ── slots
│  │  │      └──0.22 MB (00.31%) ++ (2 tiny)
│  │  └──11.80 MB (16.75%) -- shapes
│  │     ├───9.06 MB (12.85%) -- gc-heap
│  │     │   ├──6.30 MB (08.94%) ── tree
│  │     │   ├──2.17 MB (03.08%) ── dict
│  │     │   └──0.58 MB (00.83%) ── base
│  │     └───2.74 MB (03.89%) -- malloc-heap
│  │         ├──1.37 MB (01.95%) ── tree-tables
│  │         ├──0.76 MB (01.07%) ── dict-tables
│  │         └──0.61 MB (00.87%) ── tree-kids
│  ├───7.04 MB (09.99%) -- scripts
│  │   ├──5.49 MB (07.79%) ── gc-heap
│  │   └──1.55 MB (02.20%) ── malloc-heap/data
│  ├───2.30 MB (03.27%) ── compartment-tables
│  ├───1.59 MB (02.26%) ── cross-compartment-wrapper-table
│  ├───1.07 MB (01.51%) ++ type-inference
│  └───0.88 MB (01.25%) ++ (5 tiny)
├──13.30 MB (18.88%) -- zones
│  ├───4.51 MB (06.40%) ── unused-gc-things
│  ├───4.41 MB (06.26%) -- strings
│  │   ├──2.58 MB (03.67%) -- gc-heap
│  │   │  ├──2.38 MB (03.38%) ── latin1
│  │   │  └──0.20 MB (00.29%) ── two-byte
│  │   └──1.83 MB (02.60%) -- malloc-heap
│  │      ├──1.07 MB (01.51%) ── latin1
│  │      └──0.77 MB (01.09%) ── two-byte
│  ├───2.01 MB (02.85%) -- object-groups
│  │   ├──1.97 MB (02.80%) ── gc-heap
│  │   └──0.04 MB (00.05%) ── malloc-heap
│  ├───1.35 MB (01.92%) ── type-pool
│  ├───0.71 MB (01.00%) ── gc-heap-arena-admin
│  └───0.31 MB (00.44%) ++ (4 tiny)
├──12.27 MB (17.41%) ── runtime
└───2.22 MB (03.15%) -- gc-heap
    ├──1.22 MB (01.73%) ── chunk-admin
    ├──1.00 MB (01.42%) ── unused-chunks
    └──0.00 MB (00.00%) ── unused-arenas

293 (100.0%) -- js-main-runtime-compartments
├──285 (97.27%) -- system
│  ├──256 (87.37%) ++ (255 tiny)
│  ├───12 (04.10%) ── [System Principal], about:blank [12]
│  ├───11 (03.75%) ── [System Principal] [11]
│  └────6 (02.05%) ── [System Principal], inProcessTabChildGlobal?ownedBy=chrome://messenger/content/messenger.xul [6]
└────8 (02.73%) -- user
     ├──4 (01.37%) ++ (4 tiny)
     └──4 (01.37%) ── about:blank [4]

41.19 MB (100.0%) -- js-main-runtime-gc-heap-committed
├──35.68 MB (86.62%) -- used
│  ├──33.75 MB (81.95%) -- gc-things
│  │  ├──14.59 MB (35.43%) ── objects
│  │  ├───8.47 MB (20.57%) ── shapes
│  │  ├───5.49 MB (13.34%) ── scripts
│  │  ├───2.58 MB (06.27%) ── strings
│  │  ├───1.97 MB (04.78%) ── object-groups
│  │  ├───0.58 MB (01.42%) ── base-shapes
│  │  └───0.05 MB (00.13%) ++ (3 tiny)
│  ├───1.22 MB (02.96%) ── chunk-admin
│  └───0.71 MB (01.71%) ── arena-admin
└───5.51 MB (13.38%) -- unused
    ├──4.51 MB (10.95%) -- gc-things
    │  ├──1.36 MB (03.30%) ── shapes
    │  ├──0.97 MB (02.36%) ── objects
    │  ├──0.84 MB (02.03%) ── strings
    │  ├──0.72 MB (01.75%) ── object-groups
    │  └──0.62 MB (01.51%) ++ (5 tiny)
    ├──1.00 MB (02.43%) ── chunks
    └──0.00 MB (00.00%) ── arenas

60 (100.0%) -- message-manager
└──60 (100.0%) -- referent
   ├──47 (78.33%) -- global-manager
   │  ├──47 (78.33%) ── strong
   │  └───0 (00.00%) ++ weak
   ├───9 (15.00%) -- parent-process-manager
   │   ├──8 (13.33%) ── strong
   │   └──1 (01.67%) -- weak
   │      ├──1 (01.67%) ── alive
   │      └──0 (00.00%) ── dead
   └───4 (06.67%) -- child-process-manager
       ├──4 (06.67%) ── strong
       └──0 (00.00%) ++ weak

1,334 (100.0%) -- observer-service
└──1,334 (100.0%) -- referent
   ├────942 (70.61%) ── strong
   └────392 (29.39%) -- weak
        ├──392 (29.39%) ── alive
        └────0 (00.00%) ── dead

534 (100.0%) -- observer-service-suspect
├──249 (46.63%) ── referent(topic=xpcom-shutdown)
├──175 (32.77%) ── referent(topic=memory-pressure)
└──110 (20.60%) ── referent(topic=service-worker-get-client)

833 (100.0%) -- preference-service
└──833 (100.0%) -- referent
   ├──679 (81.51%) ── strong
   └──154 (18.49%) -- weak
      ├──154 (18.49%) ── alive
      └────0 (00.00%) ── dead

34.41 MB (100.0%) -- window-objects
├──26.42 MB (76.79%) -- dom
│  ├──21.24 MB (61.74%) ── orphan-nodes
│  ├───3.61 MB (10.51%) ── element-nodes
│  ├───1.30 MB (03.77%) ── other
│  └───0.27 MB (00.77%) ++ (4 tiny)
├───6.74 MB (19.60%) -- layout
│   ├──1.78 MB (05.17%) ── frames
│   ├──1.43 MB (04.14%) ── style-structs
│   ├──1.24 MB (03.62%) ── pres-shell
│   ├──0.86 MB (02.49%) ── style-contexts
│   ├──0.53 MB (01.53%) ── style-sets
│   ├──0.41 MB (01.20%) ── pres-contexts
│   ├──0.35 MB (01.02%) ── rule-nodes
│   └──0.15 MB (00.44%) ++ (2 tiny)
├───1.21 MB (03.52%) ── style-sheets
└───0.03 MB (00.09%) ── property-tables

   50.95 MB ── gfx-surface-xlib
    0.00 MB ── gfx-textures
    0.00 MB ── gfx-tiles-waste
          0 ── ghost-windows
  228.03 MB ── heap-allocated
        339 ── heap-chunks
    1.00 MB ── heap-chunksize
  235.20 MB ── heap-committed
  339.00 MB ── heap-mapped
      3.14% ── heap-overhead-ratio
    0.81 MB ── imagelib-surface-cache-estimated-locked
    0.81 MB ── imagelib-surface-cache-estimated-total
          0 ── imagelib-surface-cache-overflow-count
    1.33 MB ── js-main-runtime-temporary-peak
      6,527 ── page-faults-hard
  2,677,165 ── page-faults-soft
  419.59 MB ── resident
  743.67 MB ── resident-peak
  399.85 MB ── resident-unique
    0.00 MB ── system-heap-allocated
2,189.18 MB ── vsize

End of Main Process

Comment 7 João Carlos Mendes Luís 2017-04-20 15:33:46 UTC
BTW: Please do not simply close this as UPSTREAM.  We need to give an option for users to downgrade until this bug is fixed.

Comment 8 Peter Bieringer 2017-04-25 19:16:05 UTC
the bug also hits me, mostly happen short after triggering "compress" of mailbox (I'm working with "marked for deletion" mode)

Comment 9 Fedora Update System 2017-05-04 09:39:28 UTC
thunderbird-52.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5da8630f30

Comment 10 Fedora Update System 2017-05-04 09:39:42 UTC
thunderbird-52.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-82265ed89e

Comment 11 Fedora Update System 2017-05-04 20:03:41 UTC
thunderbird-52.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-82265ed89e

Comment 12 Fedora Update System 2017-05-04 22:07:14 UTC
thunderbird-52.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5da8630f30

Comment 13 João Carlos Mendes Luís 2017-05-04 23:16:43 UTC
I just installed the new rpm on my machine, and first impressions are very good.  I'll send more reports if anything happens.  Thanks for your help!

Comment 14 Fedora Update System 2017-05-05 18:59:22 UTC
thunderbird-52.1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-05-12 14:11:02 UTC
thunderbird-52.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.